# CMF imports
from Products.CMFCore import utils
from Products.CMFCore.DirectoryView import registerDirectory
from Products.CMFCore.CMFCorePermissions import AddPortalContent

# CPS imports
from Products.CPSCore.CPSBase import CPSBaseDocument, CPSBase_adder

# ZWiki imports and "hacks" to transform ZWiki product into CPSZWiki !!! ;-)
from Products.ZWiki.__init__ import *
from Products.ZWiki.CMFInit import *
from Products.ZWiki import CMFInit
ZWiki_fti_dico = factory_type_information[0]

# Package params
__doc__ = """
CPSZWiki
"""
__version__ = "0-0-1"


# CPSZWiki imports
import CPSZWiki

# Factory type information of CPSZWiki product
CPSZWiki_fti = ()
CPSZWiki_fti_dico = ZWiki_fti_dico.copy()
CPSZWiki_fti_dico.update(
    {'id' : 'CPSZWiki',
     'meta_type' : 'CPSZWiki',
     'title' : 'portal_type_CPSWiki_title', 
     'description' : 'portal_type_CPSWiki_description',
     'icon' : 'CPSZWiki_icon.gif',
     'content_icon' : 'CPSZWiki_icon.gif',
     'product' : 'CPSZWiki',
     'factory' : 'addCPSZWiki',
     'filter_content_types' : 0,
     'allowed_content_types' : (),
     'allow_discussion': 0,
     #'cps_proxy_type' : 'document',
     #'cps_is_searchable' : 1,
     },
)
CPSZWiki_fti = (CPSZWiki_fti_dico, )

contentClasses = ()
contentConstructors = ()
fti = ()

contentClasses += (CPSZWiki.CPSZWiki,)
contentConstructors += (CPSZWiki.addCPSZWiki,)
#contentConstructors += (addWikiPage,)
fti += CPSZWiki_fti

def initialize(registrar):
       utils.ContentInit('CPSZWiki Content', 
                         content_types = contentClasses,
                         permission = Permissions.Add,
                         extra_constructors = contentConstructors,
                         fti = fti,
                         ).initialize(registrar)
       # also register skin dirs with FileSystemSite if installed
       registerDirectory('skins', globals())
